<?php  
	include "conexion.php";
    include "insertar_log.php";

	$id_comando = 8116;
	$id_equipo_clase = 2;
	$id_equipo = 1;
	$id_aplicacion = $_POST['id_aplicacion'];
	$req = $_POST['req'];
    $identificador = $_POST['identificador'];

	if($req=="")
	{
        $datos = " Error insertar comando: Request requerido "; 
        insertarLog($datos,$id_aplicacion);
		echo response(1,"Request requerido","");
        return;
	}


	$id_secuencia = 0;

    $insert ="INSERT INTO ";
    $insert .="terminales_android ";
    $insert .= "(identificador, ";
    $insert .= "fecha_actualizacion) ";
    $insert .= "VALUES ";
    $insert .= "('".$identificador."', ";
    $insert .= "NOW()) ";
    $insert .= "ON DUPLICATE KEY UPDATE ";
    $insert .= "fecha_actualizacion = NOW() ";

    $resultado = $conexion->query($insert);


	$sql = "insert into ";
    $sql .= "comandos (";
    $sql .= "id_aplicacion, ";
    $sql .= "id_secuencia, ";
    $sql .= "id_equipo_clase, ";
    $sql .= "id_equipo, ";
    $sql .= "id_comando, ";
    $sql .= "fecha, ";
    $sql .= "req_dato, ";
    $sql .= "res_dato, ";
    $sql .= "estado ";
    $sql .= ") values ( ";
    $sql .= $id_aplicacion.", ";
    $sql .= "NULL, ";
    $sql .= $id_equipo_clase.", ";
    $sql .= $id_equipo.", ";
    $sql .= $id_comando.", ";
    $sql .= "now(), ";
    $sql .= "'".$req."',";
    $sql .= "'',";
    $sql .= "0 )";


    $resultado = $conexion->query($sql); 

    if($resultado == false)
    {
         $datos = " Error insertar comando: 8116 "; 
        insertarLog($datos,$id_aplicacion);
    	echo response(1,"Error al insertar comando","");
        return;
    }

    $datos = " Inserto comando: 8116 "; 
        insertarLog($datos,$id_aplicacion);

    $sql = "select LAST_INSERT_ID() as id  ";
    
    $resultado = $conexion->query($sql);

    if(!$resultado) 
    {
        $datos = " Error insertar comando: Error al consultar secuencia "; 
        insertarLog($datos,$id_aplicacion);
        echo response(1,"Error al consultar secuencia","");
        return;
    }
    
    while ($row=$resultado->fetch_assoc())
    {
        $id_secuencia = $row['id'];
    }
    
    $datos = " OK: id_secuencia = ".$id_secuencia; 
        insertarLog($datos,$id_aplicacion);
   echo response(0,"OK",$id_secuencia);


   function response($estatus,$estatus_mensaje,$respuesta){
		header("HTTP/1.1".$estatus);

		$response["estatus"]=$estatus;
		$response["estatus_mensaje"]=$estatus_mensaje;
		$response["respuesta"]=$respuesta;
		
		$json_response = json_encode($response, JSON_UNESCAPED_UNICODE);
		echo $json_response;

	}

?>